rem 実行
rem run.bat
@rem 内容が古くなっているかもしれないので
@rem その場合は修正して使用して下さい
@echo off
title コンソールアプリケーションの実行

if /i %~x1 == .exe (goto exec)
echo エラー
echo 実行ファイルではありません。
goto end


:exec
echo コンソールアプリケーションを実行します。
echo %1
echo.

echo #### 実行 ####
%1
echo.
echo #### 終了 ####


:end
echo.
echo.
pause
@rem このスクリプトは著作権者のtytyさんの意向で
@rem NYSLとしています
@rem NYSL Version 0.9982